package com.ynet.life.log;

import com.ynet.gene.core.Context;
import com.ynet.gene.web.servlet.mvc.GENEFlowInvoker;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_log.jar:com/ynet/life/log/LifeActionLoggerFactory.class */
public class LifeActionLoggerFactory {
    private static LifeActionLoggerInterface logger;

    private LifeActionLoggerFactory() {
    }

    public static void initialize(LifeActionLoggerInterface loggerImp) {
        logger = loggerImp;
    }

    public static LifeActionLoggerInterface getLog() {
        return logger;
    }

    public static void checkActionLogger(GENEFlowInvoker flowDef, Context sessionContext, Throwable throwable) throws TranFailException {
        LifeActionLoggerInterface logger2;
        if (flowDef == null) {
            return;
        }
        try {
            String flowId = flowDef.getFlowId();
            String contextId = String.valueOf(flowId) + "SrvCtx";
            Context context = sessionContext.getContextNamed(contextId);
            if (context != null) {
                LifeActionLogInfo logInfo = null;
                String logFieldDefine = "";
                String loggerClassName = "";
                try {
                    LifeActionLogInfo lifeActionLogInfo = (LifeActionLogInfo) context.getDataValue("logFieldDefine");
                    logInfo = lifeActionLogInfo;
                    logFieldDefine = lifeActionLogInfo.getLogFormat();
                    loggerClassName = logInfo.getLoggerClassName();
                } catch (Exception unused) {
                }
                if (logFieldDefine == null || logFieldDefine.length() == 0) {
                    return;
                }
                if (loggerClassName == null || loggerClassName.length() == 0) {
                    logger2 = getLog();
                } else {
                    logger2 = (LifeActionLoggerInterface) Class.forName(loggerClassName).newInstance();
                }
                logger2.log(context, logInfo, throwable);
            }
        } catch (Exception unused2) {
        }
    }

    public static void checkActionLogger(Context context, Throwable throwable) throws TranFailException {
        LifeActionLoggerInterface logger2;
        if (context != null) {
            LifeActionLogInfo logInfo = null;
            String logFieldDefine = "";
            String loggerClassName = "";
            try {
                try {
                    LifeActionLogInfo lifeActionLogInfo = (LifeActionLogInfo) context.getDataValue("logFieldDefine");
                    logInfo = lifeActionLogInfo;
                    logFieldDefine = lifeActionLogInfo.getLogFormat();
                    loggerClassName = logInfo.getLoggerClassName();
                } catch (Exception unused) {
                    return;
                }
            } catch (Exception unused2) {
            }
            if (logFieldDefine == null || logFieldDefine.length() == 0) {
                return;
            }
            if (loggerClassName == null || loggerClassName.length() == 0) {
                logger2 = getLog();
            } else {
                logger2 = (LifeActionLoggerInterface) Class.forName(loggerClassName).newInstance();
            }
            logger2.log(context, logInfo, throwable);
        }
    }
}
